module.exports = {

  globals: {
      MyGlobal: true
  },

  rules: {
    semi: ['error', 'always'],
    quotes: ['error', 'single'],
    'no-console': 'off',
    'no-trailing-spaces': 'off', // 多余的空格
    'prefer-const': 'off', // 不会被修改的变量用const定义
    'no-unused-vars': 'off', // 不使用的变量
    'no-unused-expressions': 'off',
    'dot-notation': 'off',
    'arrow-parens': ['warn', 'as-needed'],
    'max-len': ['warn', 140],
    'no-multiple-empty-lines': 'off', // 允许有多个空行
    'import/no-unresolved': [
      'error',
      {
        ignore: ['^@'],
      },
    ],
    'import/extensions': ['error', 'always', { ignorePackages: false }],
  }

};